ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# SequenceDictionary 

###
Companion object SequenceDictionary

#### class SequenceDictionary extends Serializable

A SequenceDictionary contains metadata about the reference build genomic data is aligned against.

See also

  SequenceRecord

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SequenceDictionary()
2.  new SequenceDictionary(records: Vector[SequenceRecord])

   records

     The individual reference sequences.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(record: SequenceRecord): SequenceDictionary

   Adds a sequence record to this dictionary.

   Adds a sequence record to this dictionary.

   record

     The sequence record to add.

   returns

     A new sequence dictionary with the new record added.

4.  def ++(that: SequenceDictionary): SequenceDictionary

   Merges two sequence dictionaries.

   Merges two sequence dictionaries.

   Filters any sequence records that exist in both dictionaries.

   that

     The sequence dictionary to add.

   returns

     A new sequence dictionary that contains a record per reference in each input dictionary.

5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(name: String): Option[SequenceRecord]

   name

     The name of the reference to extract.

   returns

     If available, the sequence record for this reference.

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  def containsReferenceName(name: String): Boolean

   Checks to see if we have a reference with a given name.

   Checks to see if we have a reference with a given name.

   name

     The name of the reference to extract.

   returns

     True if we have a sequence record for this reference.

10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(o: Any): Boolean
    Definition Classes
      SequenceDictionary → AnyRef → Any
12.  def filterToReferenceName(referenceName: String): SequenceDictionary

    Filter this sequence dictionary to include only those sequence records for the specified reference name.

    Filter this sequence dictionary to include only those sequence records for the specified reference name.

    referenceName

      Reference name to filter by.

    returns

      SequenceDictionary filtered to include only those sequence records for the specified reference name

13.  def filterToReferenceNames(fn: (String) ⇒ Boolean): SequenceDictionary

    Filter this sequence dictionary to include only those sequence records with reference names that pass the specified filter function.

    Filter this sequence dictionary to include only those sequence records with reference names that pass the specified filter function.

    fn

      Reference name filter function to filter by.

    returns

      SequenceDictionary filtered to include only those sequence records with reference names that pass the specified filter function

14.  def filterToReferenceNames(referenceNames: Iterable[String]): SequenceDictionary

    Filter this sequence dictionary to include only those sequence records for the specified reference names.

    Filter this sequence dictionary to include only those sequence records for the specified reference names.

    referenceNames

      Reference names to filter by.

    returns

      SequenceDictionary filtered to include only those sequence records for the specified reference names

15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  val hasSequenceOrdering: Boolean
17.  def hashCode(): Int
    Definition Classes
      SequenceDictionary → AnyRef → Any
18.  def isCompatibleWith(that: SequenceDictionary): Boolean

    that

      Sequence dictionary to compare against.

    returns

      True if each record in this dictionary exists in the other dictionary.

19.  def isEmpty: Boolean

    returns

      True if this dictionary contains no sequence records.

20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  val records: Vector[SequenceRecord]
25.  def size: Int

    The number of sequences in the dictionary.

26.  def sorted: SequenceDictionary

    Sort the records in a sequence dictionary.

    Sort the records in a sequence dictionary.

    returns

      Returns a new sequence dictionary where the sequence records are sorted. If the sequence records have indices, the records will be sorted by their indices. If not, the sequence records will be sorted lexically by reference name.

    See also

      stripIndices

27.  def stripIndices: SequenceDictionary

    Strips indices from a Sequence Dictionary.

    Strips indices from a Sequence Dictionary.

    returns

      This returns a new sequence dictionary devoid of indices. This is important for sorting: the default sort in ADAM is based on a lexical ordering, while the default sort in SAM is based on sequence indices. If the indices are not stripped before a file is saved back to SAM/BAM, the SAM/BAM header sequence ordering will not match the sort order of the records in the file.

    See also

      sorted

28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toSAMSequenceDictionary: SAMSequenceDictionary

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    returns

      Returns a SAM formatted sequence dictionary.

30.  def toString(): String
    Definition Classes
      SequenceDictionary → AnyRef → Any
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped